Bug 4830 - [UPDATE REQUEST] draklive-install-1.46-1
: [UPDATE REQUEST] draklive-install-1.46-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-29 15:57 MSK by Konstantin Vlasov
Modified: 2015-01-03 13:21 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
konstantin.vlasov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-12-29 15:57:00 MSK
Update for draklive-install.
Comment 1 Konstantin Vlasov 2014-12-29 15:58:08 MSK
https://abf.rosalinux.ru/build_lists/2384264
https://abf.rosalinux.ru/build_lists/2384265

Advisory: When bootloader installation is skipped, generating the Grub2 config file anyway, so that update-grub2 from another system added the new ROSA correctly.

Test images:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/8409
Comment 2 FirstLevel 2014-12-30 16:37:11 MSK
I have tested in virtualbox such situation.

1. Install ROSA Fresh R4
2. Then install Rosa Fresh R5 (original) and skip bootloader installation and finish R5 installation
3. Boot in R4
4. Launch update-grub2
5. I see R5 item in the grub menu but If I select It I hava got kernel panic.

Another way.
1. Install ROSA Fresh R4
2. Then install Rosa Fresh R5 (https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/8409) and skip bootloader installation and finish R5 installation
3. Boot in R4
4. Launch update-grub2
5. I see R5 item in the grub menu and could booting it successfully.

For both situations I have such partitions:
/ , swap, /
Comment 3 FirstLevel 2014-12-30 17:40:12 MSK
(In reply to comment #2)
> I have tested in virtualbox such situation.
> 
> 1. Install ROSA Fresh R4
> 2. Then install Rosa Fresh R5 (original) and skip bootloader installation
> and finish R5 installation
> 3. Boot in R4
> 4. Launch update-grub2
> 5. I see R5 item in the grub menu but If I select It I hava got kernel panic.
> 
> Another way.
> 1. Install ROSA Fresh R4
> 2. Then install Rosa Fresh R5
> (https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/
> product_build_lists/8409) and skip bootloader installation and finish R5
> installation
> 3. Boot in R4
> 4. Launch update-grub2
> 5. I see R5 item in the grub menu and could booting it successfully.
> 
> For both situations I have such partitions:
> / , swap, /

It  works for 32 and 64 bit
Comment 4 FirstLevel 2014-12-30 17:42:08 MSK
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2384264/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2384265/x86_64/main/release/
Tested for image http://abf-downloads.rosalinux.ru/rosa2014.1/container/2384265/x86_64/main/release/


************************ Advisory **********************
When bootloader installation is skipped, generating the Grub2 config file anyway, so that update-grub2 from another system added the new ROSA correctly.
********************************************************
QA Verified